# Fast Implementation of Base58 encoding

Base algorithm is copied from https://github.com/trezor/trezor-crypto/blob/master/base58.c

Created from templates made available by Stagehand under a BSD-style
[license](https://github.com/dart-lang/stagehand/blob/master/LICENSE).

## Usage

A simple usage example:

```dart
import 'package:base58dart/base58.dart';

main() {
  var encodedStr = Base58Encode(Uint8List.fromList('bitcoin'.codeUnits)); // Uint8List(raw bytes) to base58 string
  print(encodedStr); // 4jJc4sAwPs

  var decodedRaw = Base58Decode('4jJc4sAwPs'); // base58 string to Uint8List(raw bytes)
  print(String.fromCharCodes(decodedRaw)); // bitcoin
}
```

## Features and bugs

Please file feature requests and bugs at the [issue tracker][tracker].

[tracker]: http://github.com/maoxs2/base58dart
